"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGroupList = exports.getUserList = exports.getList = void 0;
const endpoints = require("./endpoints");
const node_fetch_1 = require("node-fetch");
async function getList(stream, state, endpoint) {
    let nextCursor = "";
    while (nextCursor != null) {
        const animationReq = await node_fetch_1.default(endpoint(nextCursor), {
            headers: state.headers
        });
        const { data: animationData, nextPageCursor } = await animationReq.json();
        if (!animationData)
            throw new Error('Failed to fetch animations');
        animationData === null || animationData === void 0 ? void 0 : animationData.forEach((asset) => {
            stream.write(`${asset.assetId} ${asset.name}\n`);
        });
        nextCursor = nextPageCursor;
        if (!nextPageCursor)
            break;
    }
    stream.end();
}
exports.getList = getList;
async function getUserList(stream, state) {
    return getList(stream, state, s => endpoints.userList(state.userId, s));
}
exports.getUserList = getUserList;
async function getGroupList(stream, state, groupId) {
    return getList(stream, state, s => endpoints.groupList(groupId, s));
}
exports.getGroupList = getGroupList;
//# sourceMappingURL=list.js.map